Bug 43194 - isa plug and play wrong irq attributing
isa plug and play wrong irq attributing
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-01 16:02 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-03 03:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-01 16:02:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
ne compatible pnp ethernet card gets irq 3 attributed just like COM ports 
(irq 3,irq 4) by boot. cat /proc/interrupts doesn't show irq from com 
ports? It seems not possible to influence this behavior. At boot there is 
always put in /etc/sysconfig/hwconf for ISAPNP network card 0x300,3. If 
corresponding with conf.modules than ping 127.0.0.1 works, no other 
machines possible to ping in network. Card works when configured 0x240,5. 
I have to disable eth1, create a eth2 change /etc/sysconfig/hwconf and 
conf.modules for that.

Works well on RH 7.0 on same machine 2.2.17. The only difference is isapnp 
possibility in 2.4.2.

what is the problem? or do I make a configuration mistake.

How reproducible:
Always

Steps to Reproduce:
1.on each boot eth1 gets irq=3 io=0x300
2.
3.
	

Actual Results:  not possible to run internal network

Expected Results:  access internal network

Additional info:
Comment 1 Need Real Name 2001-06-03 03:33:28 EDT
Problem solved: explanation
- installed Redhat 7.1 from scratch
- made a traditional modules.conf (adding options io and irq for the isapnp 
card)
- did not work and cat /proc/interrupts showed a ne card on irq3 same as com 
port irq3 in boot sequence
- additional I installed isapnp tools what made it more complicated
- reinstalled Redhat 7.1
- set only in modules.conf 'alias eth1 ne'
- rebooted and got automatically probed ne at io=0x240 irq=5
- in /etc/sysconfig/hwconfig the card is still mentioned on io=0x300 irq=5
- connection works

After a week of searching I didn't find a hint in the documentation available. 
The doc mentions isapnp tools and my first modules.conf. Nobody mentions the 
changes in configuration for Linux 2.4.

Note You need to log in before you can comment on or make changes to this bug.